LINUX.ORG.RU

Команда Mandriva принимает участие в европейской конференции LinuxCon

 ,


0

1

Команда Mandriva принимает участие в европейской конференции LinuxCon. Это первое официальное мероприятие, на котором будет представлена новая операционная система Mandriva Desktop 2011.

LinuxCon — самое значимое событие в жизни СПО-сообщества. Конференции проводятся 4 раза в год на различных континентах. Предполагается, что по итогам 2011 года в работе LinuxCon примут участие более 2500 человек из 30 стран мира. Мероприятие было задумано в 2009 году как площадка, где разработчики, пользователи и эксперты могут обменяться идеями о развитии продуктов и технологий, договориться о сотрудничестве и найти новых сторонников.

На европейской конференции LinuxCon, которая проходит в эти дни в Праге, команда Mandriva представляет новую версию операционной системы Mandriva Desktop 2011. В этом инновационном продукте впервые объединены усилия инженеров, дизайнеров и программистов из трех центров разработки Mandriva, которые расположены во Франции, Бразилии и России.

В рамках LinuxCon Europe команда Mandriva также озвучила новую инициативу по набору персонала. Компания заинтересована в сотрудничестве с разработчиками, программистами, дизайнерами и продавцами.

>>> Подробности



Проверено: Shaman007 ()

Ответ на: О недостатках альта от PVOzerski

Re: О недостатках альта

При всех моих анти-ностальгическим настроениях к альт-линуксам... :)

Во-первых, Альтератор не умеет работать без иксов

Это ldd Вам рассказала? Вообще-то alterator-sh-functions рулят: "создать бэкенд вы вполне сможете. Бэкенд пишется на произвольном языке программирования по достаточно простым правилам. Имея бэкенд, при помощи интерфейса командной строки вы уже сразу же сможете использовать наработки в своих скриптах.". Типа хинт: интерфейс к своим бэкандам пишите сами или просите девелоуперов в листе рассылки.

Во-вторых, хочется иметь современную сборку с KDE3. Думаю, не только мне.

Смотря что называть стабильной сборкой. Видимо, в общем понимании таких сборок уже в природе не существует. Разрабы пилят четвёрку и третьими кедами народ уже давно активно не занимается. Так что эта беда явно не альта, это общая проблема.

В-третьих, надоел геморрой с установкой/обновлением Оперы. Обновления в репозитории не поспевают за появлением официальных новых версий

А что же Вы хотите от продукта с закрытыми сорцами? :) Разумеется не поспевают, а что, где поспевают? Опять же не проблема альта.

klark973 ()
Ответ на: комментарий от nihil

Ну кончено, когда нам учиться... Говорят, есть три типа линуксоидов: одни учились по LFS, другие начинали с Gentoo или Arch, а третьи просто юзеры. :)

klark973 ()
Ответ на: комментарий от Vudod

> Или замечательный баг в idle 2.5, где не работала мышь, я даже багу написал, вашу багзиллу освоил, но багу всё равно закрыли, так и не понял почему, хотя ничего не исправили.

https://bugzilla.altlinux.org/show_bug.cgi?id=23480

Если это ваше, то ничего не закрыли, бага стоит как влитая...

anonymous ()
Ответ на: Re: О недостатках альта от klark973

>alterator-sh-functions рулят: «создать бэкенд вы вполне сможете. Бэкенд

пишется на произвольном языке программирования по достаточно

простым правилам. Имея бэкенд, при помощи интерфейса командной

строки вы уже сразу же сможете использовать наработки в своих

скриптах.». Типа хинт: интерфейс к своим бэкандам пишите сами или

просите девелоуперов в листе рассылки.

Дык готовые-то решения в доступе есть или предлагается собственный шелл клепать? К тому же, по-моему, в данном случае речь должна идти не о back-end, а о front-end (либо кто-то из нас запутался с терминологией).

Видимо, в общем понимании таких сборок уже в природе не существует.

Разрабы пилят четвёрку и третьими кедами народ уже давно активно не занимается.

В том же OpenSUSE есть не то чтобы совсем официальный, однако имеющий ссылку на официальной странице репозиторий. В общем, юзабельно. А еще есть Kubuntu/Trinity. А еще какая-то турецкая команда, ЕМНИП, делает сборки с KDE3 на основе Мандривы. Понимаете, KDE3 - это классика с кучей достоинств, а KDE4 - это, скажем так, DE на любителя.

PVOzerski ★★★ ()
Ответ на: Re: О недостатках альта от klark973

>А что же Вы хотите от продукта с закрытыми сорцами? :) Разумеется не поспевают, а что, где поспевают? Опять же не проблема альта.

Тогда вопрос: почему ни в Мандриве, ни в OpenSUSE проблем с зависимостями не возникает, а у альта возникает?

PVOzerski ★★★ ()
Ответ на: комментарий от klark973

>а третьи просто юзеры. :)

думаю, переводится как лентяи.

Момент будет, когда захочется. Нужно накопить «критическую массу». Очередная отмазка? Нет - свойство характера.

nihil ★★★★★ ()
Ответ на: комментарий от PVOzerski

> в данном случае речь должна идти не о back-end, а о front-end (либо кто-то из нас запутался с терминологией)

Всё верно. Интерфейс предлагается самим приделать. Не нравятся гуи, юзайте ncursesw. :)

Понимаете, KDE3 - это классика с кучей достоинств, а KDE4 - это, скажем так, DE на любителя

Конечно понимаю, с тысячами чертями перелез на второй гном, плохо всё с KDE 3.5, как бы не казалось юзабельным на первый взгляд.

почему ни в Мандриве, ни в OpenSUSE проблем с зависимостями не возникает, а у альта возникает?

Видимо надо понимать, кто собирает этот пакет и под какой дистр. Есть на сайте вендора RPM для ALT Linux?

klark973 ()
Ответ на: комментарий от nihil

> Момент будет, когда захочется.

Момент конечно будет. Но с этим моментам бывает два варианта: либо возвращаетесь на винду, либо изучаете матчасть. Мне доводилось испытать оба момента. :) Хотя на Gentoo уже не сижу, но в «просветлении» она мне помогла. При том, что сначала тоже работал аж со всякими разными древними красншоапками и мандрейками RE. А для полного просветления видимо я не доживу даже после окончания пенсии. :D

klark973 ()
Ответ на: комментарий от klark973

>Интерфейс предлагается самим приделать

А что, желание иметь его «искаропки» совсем порицаемо? Тут еще такой нюанс, что пока иксы работают, руки писать такой интерфейс просто не доходят - ну, а когда иксы уже рухнули - то уже поздно :(

Видимо надо понимать, кто собирает этот пакет и под какой дистр

Надо бы при случае проверить, что будет, если попытаться конвертнуть ванильный opera***.tgz в rpm с помощью alien и результат попытаться установить на альт. Не удивлюсь, если все проблемы тут же решатся.

PVOzerski ★★★ ()
Ответ на: комментарий от klark973

Боязно мне. Если чем то занимаюсь, то впадаю в крайности.Что-то сродни алкоголизму. Итак Linux отнимает много времени. И не только моего. Поэтому и балансируешь на «юзабилити дистрах». ...А утром, вставая на работу, думаешь -" какого чёрта, ведь я не админ и не гик, ни какой практической пользы..."

А вы профессионал?

nihil ★★★★★ ()
Ответ на: комментарий от nihil

> А вы профессионал?

Конечно же нет! Сидел бы я тогда с Вами на ЛОРе! =)))

klark973 ()
Ответ на: комментарий от Skull

Скажите, пожалуйста. В 2008 году, когда я был у вас в офисе мне подарили диск с ALTLinux Desktop 4.0.3. Плюс, Владимир Черный любезно залил мне на ноут репозиторий branch. Я, приехав домой, снес Мандриву и установил Альт. К моему сильнейшему удивлению отказались работать Wi-Fi-карта и ACPI, которые из коробки работали в Мандриве. Если по карте мне хотя бы подсказали способ решения проблемы (связанный с использованием нестабильного Сизифа), то ACPI в рассылке был полностью проигнорирован. Естественно, слегка помучившись я Альт снес, ибо плюсов не увидел, а Wi-Fi и ACPI были нужны. Так вот, сегодня технологии развиваются так же, то есть с отставанием от других дистрибутивов?

lemon_joe ()
Ответ на: О недостатках альта от PVOzerski

Во-вторых, хочется иметь современную сборку с KDE3. Думаю, не только мне.

Меня же уверяли, что в Сизифе KDE3 живее всех живых. Я удивился, но, типа, если женщина просит если люди хотят...

AlexM ★★★★★ ()
Ответ на: комментарий от PVOzerski

А что, желание иметь его «искаропки» совсем порицаемо? Тут еще такой нюанс, что пока иксы работают, руки писать такой интерфейс просто не доходят - ну, а когда иксы уже рухнули - то уже поздно :(

Хм, а,кажись, оно по HTTP умело конфигурироваться. Сервис alteratord. Я сразу отрубаю к е-ням :)

AlexM ★★★★★ ()
Ответ на: комментарий от PVOzerski

KDE3 - это классика с кучей достоинств

О-хо-хо, вот и выросло поколение советских людей...

Но Вы продолжайте, продолжайте, приятно чувствовать себя ровесником мэйфлауэра :)

AlexM ★★★★★ ()
Ответ на: комментарий от AlexM

Но, чес-слово, вы лучше за успехи Мандривы разговаривайте, за Альт я и так знаю ;)

AlexM ★★★★★ ()
Ответ на: комментарий от tsya

>> И готовит к продаже российскому правительству.

А оно нам нужно?


Ты точно из правительства?

imul ★★★★★ ()
Ответ на: комментарий от tsya

Debian нестабильный и неудобный? Да ты гонишь, чувак.

Он нестабилен и неудобен для домашнего использования. Для сервера - без вариантов юзайте, но для дома ставить - мазохизм. Может это мне так проще и я ошибаюсь, но структура генту намного удобнее и проще. Любой чих системы ясен и понятен. Что, почему, как и кто виноват, если вдруг что. А самое главное - генту практически невозможно сломать и при этом можно безопасно обновлять.. А вот дебиан обновить - это целая сага.

LightDiver ★★★★★ ()
Ответ на: комментарий от LightDiver

Он нестабилен и неудобен для домашнего использования.

Ты совсем упоротый?

порошок уходи!
А я сижу дома на Debian stable.

tsya ()
Ответ на: комментарий от lazyklimm

>Эх, а я так уже обрадовался, когда мандрива собралась умирать.

Не было такого!

annulen ★★★★★ ()
Ответ на: комментарий от lazyklimm

>Из бинарных дистров (небинарные по определению годятся только для красноглазиков и их вотчин) должны остаться штуки три-четыре. Пара RH-based, пара Deb-based.

Лучше 3-4 rpm'ных

annulen ★★★★★ ()
Ответ на: комментарий от Quasar

>И Debian его поддерживает.

Но рпмку без дурацкого флага --force-debian не поставить

annulen ★★★★★ ()
Ответ на: комментарий от PVOzerski

Через lynx - нет. По ходу, там JS заюзан. А вот elinks - может, и заработает. Но, чес-гря, я - не целевая аудитория для этого функционала, мне проще руками наковырять конфиги для X'ов, а потом уже в иксах сидеть, как белому человеку. Так что, пусть рассказывают те, кто в этом больше меня понимает.

AlexM ★★★★★ ()
Ответ на: комментарий от tsya

> Буду знать, если захочу зайти потроллить)

Заходите, заходите. :)

Skull ★★★★★ ()
Ответ на: О недостатках альта от PVOzerski

> Во-первых, Альтератор не умеет работать без иксов, в отличие от yast или mandriv'ных Drakconf.

Alterator работает и через HTTP (но не все модули). Во всяком случае сервер через браузер настраивается.

Во-вторых, хочется иметь современную сборку с KDE3. Думаю, не только мне.

Есть дистрибутивы сообщества, в том числе и с KDE3. Увы, вряд ли будут выпущены официальные дистрибутивы с неподдерживаемой DE.

В-третьих, надоел геморрой с установкой/обновлением Оперы. Обновления в репозитории не поспевают за появлением официальных новых версий

Можете Drool простимулировать, если требуется очень свежая Opera.

Skull ★★★★★ ()
Ответ на: комментарий от Vudod

> Альт 4.1 был моим первым дистрибутивом. Объясню, почему бросил его...

Спасибо за замечания. Будем стараться исправлять. Но пока с новыми глюками (тот же Python 3) не хотелось бы связываться.

Skull ★★★★★ ()
Ответ на: комментарий от PVOzerski

> Тогда вопрос: почему ни в Мандриве, ни в OpenSUSE проблем с зависимостями не возникает, а у альта возникает?

Это очень подробно освещалась на форуме Opera. У ALT Linux слишком высокие требования к качеству сборки. Оперовцы от балды поставили зависимости, которые реально в линковке не участвуют. А править не хотят.

Skull ★★★★★ ()
Ответ на: комментарий от lemon_joe

> Так вот, сегодня технологии развиваются так же, то есть с отставанием от других дистрибутивов?

Нет, в отличие от 4.0.x десктопная часть вполне актуальна. Никто не мешает проверить (тот же Simply Linux).

Skull ★★★★★ ()
Ответ на: комментарий от AlexM

> Меня же уверяли, что в Сизифе KDE3 живее всех живых.

Тут разговор, по-видимому, о _дистрибутиве_, а не о пакетной базе. Triniti как раз есть, самый актуальный.

Skull ★★★★★ ()
Ответ на: комментарий от PVOzerski

> Интересно... А через lynx получится?

Увы, нет. Сильно заточено на JavaScript. Реалии современного веб-строительства.

Skull ★★★★★ ()
Ответ на: комментарий от Skull

Насчет оперы в альте

Слушайте, я, наверное, действительно поставлю эксперимент с alien'ом и доложу о результате. Если получится раьотоспособный пакет - это же можно автоматизировать конвертацию и оперативно делать пакеты свежих версий.

PVOzerski ★★★ ()
Ответ на: Насчет оперы в альте от PVOzerski

В общем, почти получилось - с большими оговорками. Во-первых, не из слаковского, а из .deb-пакета. Во-вторых, оказалось, что alien при инсталляции из реп не тянет за собой нужные зависимости - rpm-build и dpkg. В-третьих, оказалось, что у alien и rpmbuild разные представления о безопасности (из-за чего alien не желал работать из-под юзера, а rpmbuild - из-под рута, пока я не поправил его конфигурацию. Наконец, получился rpm без скриптов для интеграции в DE (вариант с ключом --scripts не прокатил из-за новых и неожиданных зависимостей). Но он установился и, вроде бы, пока не вызывает конфликтов с apt. При этом опера работоспособна.

PVOzerski ★★★ ()
Ответ на: Насчет оперы в альте от PVOzerski

> Если получится раьотоспособный пакет - это же можно автоматизировать конвертацию и оперативно делать пакеты свежих версий.

Для персонального использования — не вопрос. Сборочницу ALT Linux это не пройдёт, там очень жёсткие автоматические тесты.

Skull ★★★★★ ()
Ответ на: комментарий от annulen

у rpm-дистров одна большая семейная проблема - склонность к неразумному увеличению количества несовместимых деривативов

Потому даже два - это слишком благосклонно

lazyklimm ★★★★★ ()
Ответ на: комментарий от Skull

>Оперовцы от балды поставили зависимости, которые реально в линковке не участвуют. А править не хотят.

а реально ли взять tar.gz и собрать rpm с нужными зависимостями из него?

lazyklimm ★★★★★ ()
Ответ на: комментарий от lazyklimm

А почему нет? Другое дело, зачем :)

Вообще, на самом деле, в дебиане такое делать удобнее, т.к. можно официально заложиться на то, что пакет во время установки лезет в сеть, скачивает требуемое, разворачивает и конфигурирует. А так деятельность по запаковке оперы так и останется локальной самодеятельностью.

AlexM ★★★★★ ()
Ответ на: комментарий от tsya

А я сижу дома на Debian stable.

А многим удобно на винде сидеть или убунте. Кому то удобнее кнопки управления справа или панель снизу. Люди идиоты и используют то, к чему привыкли, а не то, что лучше. Попробуйте отбросить стереотипы и подумать логически.

LightDiver ★★★★★ ()
Ответ на: комментарий от LightDiver

>Люди идиоты и используют то, к чему привыкли, а не то, что лучше.

но это же ужасно!

lazyklimm ★★★★★ ()
Ответ на: комментарий от lazyklimm

но это же ужасно!

Это факт. А ужасно или нет - это уже второй вопрос. Советую провести эксперимент. Найти приложение, которое вы используете очень давно и замены не знаете и поискать альтернативу.. Все альтернативы будут казаться неудобными, даже если они фактически лучше.

LightDiver ★★★★★ ()
Ответ на: комментарий от lazyklimm

>у rpm-дистров одна большая семейная проблема - склонность к неразумному увеличению количества несовместимых деривативов

гы, а теперь посчитай количество деривативов убунт

annulen ★★★★★ ()
Ответ на: комментарий от annulen

ключевое слово «совместимый», причем на уровне спеков убунта даже с дебианом совместима почти на 100%

Про самые популярные rpm дистры такого сказать нельзя, ибо у всех свой особый, уличный rpm

lazyklimm ★★★★★ ()
Ответ на: комментарий от LightDiver

та ладно тебе, я без проблем меняю оконные менеджеры, дистрибутивы, браузеры, текстовые редакторы, если что-то другое удобнее(жрет меньше памяти, гибче итп), о более мелких утилитах даже речи не идёт

Такая вот я софтовая шлюха

lazyklimm ★★★★★ ()
Ответ на: О недостатках альта от PVOzerski

> Во-вторых, хочется иметь современную сборку с KDE3. Думаю, не только мне.

А разве в Альте нет? Я думал, там есть, как и в openSUSE.

Nxx ★★★★★ ()
Ответ на: комментарий от Skull

> Увы, вряд ли будут выпущены официальные дистрибутивы с неподдерживаемой DE.

В Сизифе же Trinity, вроде.

Nxx ★★★★★ ()
Ответ на: комментарий от Nxx

> В Сизифе же Trinity, вроде.

Одно дело иметь KDE3 в репозитории и совсем другое дело — делать и поддерживать _дистрибутив_ на его основе.

Skull ★★★★★ ()
Ответ на: комментарий от Skull

Я мел в виду, что в Сизифе Trinity, который поддерживается, я не прав?

Nxx ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.